Get domain information with WHOIS lookup

Look up detailed information for a specific domain, including registrar, registration date, expiry date, and nameservers.

Domain Services WHOIS

Context

Query Parameters

domain string required · Example: example.com

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.cached boolean required · Example: true
data.createdDate string required · Example: 2025-02-26
data.dnssec string · enum required · Example: signed delegation
signed delegation
signedDelegation
unsigned
unsigned delegation
data.domain string required · Example: example.com
data.expiryDate string required · Example: 2027-02-26
data.nameServers array<string> required · Example: ["example.com","example.com"]
data.registrar string · enum required · Example: Hostup AB
Hosting Concepts B.V. d/b/a example.com
Hostup AB
data.status array<string> required · Example: ["active","ok"]
data.success boolean required · Example: true

True for successful responses.

data.timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

data.transferLocked boolean required · Example: false
data.updatedDate string required · Example: 2026-01-29
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

500
code string required · Example: INTERNAL_ERROR

Machine-readable error code.

error string required · Example: Internal Server Error

HTTP status title (e.g. 'Bad Request').

message string required · Example: An unexpected error occurred

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/whois
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/whois?domain=example.com" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "cached": true,
    "domain": "example.com",
    "registrar": "Hostup AB",
    "expiryDate": "2027-02-26",
    "createdDate": "2025-02-26",
    "updatedDate": "2026-01-29",
    "status": [
      "active",
      "ok"
    ],
    "nameServers": [
      "example.com",
      "example.com"
    ],
    "dnssec": "signed delegation",
    "transferLocked": false,
    "timestamp": "2026-02-10T00:00:00.000Z"
  }
}